Skip to main content
POST
Create knowledge source
Create a knowledge source in one of two ways:
  • Send inline text as application/json.
  • Upload a supported file as multipart/form-data. Supported formats are PDF, TXT, XLSX, XLS, CSV, Markdown, DOC, and DOCX.

Create an inline text source

Use kind: "TEXT" and provide the source text in the JSON request body.

Upload a file source

Send the file in the required file form field. You can optionally provide fileName to override the uploaded file’s name. Do not send kind or text when uploading a file.

Authorizations

Authorization
string
header
required

Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.

Path Parameters

accountId
integer
required

Account identifier

Body

Fields for creating an inline knowledge source.

kind
enum<string>
required
Available options:
TEXT
text
string
required

Text that should inform generated content.

fileName
string

Optional display name for the inline knowledge source.

Response

File-based knowledge source created and processed

An account-level source used to inform generated content.

id
string<uuid>
kind
enum<string>
Available options:
FILE,
TEXT
fileName
string | null

The uploaded filename for a file-based knowledge source.

text
string | null

The supplied or extracted text content.

status
enum<string>
Available options:
PENDING_UPLOAD,
STORED,
EXTRACTED,
ERROR
createdBy
object
created
string<date-time>
account
object